from sklearn.neighbors import RadiusNeighborsClassifier
from sklearn import datasets, metrics

digits = datasets.load_digits()
images_and_labels = list(zip(digits.images, digits.target))

n_samples = len(digits.images)
data = digits.images.reshape((n_samples, -1))
rnn = RadiusNeighborsClassifier(30, outlier_label=-1)

X_train = data[:n_samples // 2]
y_train = digits.target[:n_samples // 2]
X_test = data[n_samples // 2:]
y_test = digits.target[n_samples // 2:]

rnn.fit(X_train, y_train)

predicted = rnn.predict(X_test)
report = metrics.classification_report(y_test, predicted)
print(report)

